Name:           telepathy-mission-control
Version:        5.6.0
Epoch:          1
Release:        1%{?dist}
Summary:        Central control for Telepathy connection manager

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://telepathy.freedesktop.org/wiki/Mission_Control
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  libxslt-devel
BuildRequires:  GConf2-devel 
BuildRequires:  telepathy-glib-devel
BuildRequires:  libgnome-keyring-devel


%description
Mission Control, or MC, is a Telepathy component providing a way for
"end-user" applications to abstract some of the details of connection
managers, to provide a simple way to manipulate a bunch of connection
managers at once, and to remove the need to have in each program the
account definitions and credentials.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       dbus-devel
Requires:       dbus-glib-devel
Requires:       telepathy-glib-devel


%description    devel
The %{name}-devel package contains libraries and header
files for developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static --enable-gnome-keyring --enable-gtk-doc --enable-mcd-plugins

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_bindir}/*
%{_datadir}/dbus-1/services/*.service
%{_libdir}/libmission-control-plugins.so.*
%{_libdir}/libmcclient-%{version}.so
%{_libdir}/libmissioncontrol-server-%{version}.so
%{_libexecdir}/mission-control-5
%{_mandir}/man*/*.gz


%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libmission-control-plugins.so
%{_libdir}/libmissioncontrol-server.so
%{_libdir}/libmcclient.so
%doc %{_datadir}/gtk-doc/html/libmcclient
%doc %{_datadir}/gtk-doc/html/libmissioncontrol-server
%doc %{_datadir}/gtk-doc/html/mission-control-plugins


%changelog
* Wed Sep 22 2010 Peter Robinson <pbrobinson@gmail.com> - 1:5.6.0-1
- Update to 5.6.0.

* Tue Sep 14 2010 Brian Pepple <bpepple@fedoraproject.org> - 1:5.5.4-1
- Update to 5.5.4.
- Drop explicit linking patch. Fixed upstream.

* Mon Aug 23 2010 Peter Robinson <pbrobinson@gmail.com> - 1:5.5.3-2
- Update to 5.5.3.

* Thu Aug 21 2010 Peter Robinson <pbrobinson@gmail.com> - 1:5.4.3-2
- Fix 617832

* Thu Jun 17 2010 Brian Pepple <bpepple@fedoraproject.org> - 1:5.4.3-1
- Update to 5.4.3.

* Tue Jun  1 2010 Peter Robinson <pbrobinson@gmail.com> - 1:5.4.2-2
- enable gnome keyring so passwords are encrypted.

* Wed May 26 2010 Brian Pepple <bpepple@fedoraproject.org> - 1:5.4.2-1
- Update to 5.4.2.

* Wed Apr 28 2010 Peter Robinson <pbrobinson@gmail.com> - 1:5.4.0-1
- Update to new stable 5.4.0 release

* Sat Feb 20 2010 Brian Pepple <bpepple@fedoraproject.org> - 1:5.3.2-1
- Update to 5.3.2.

* Mon Nov 23 2009 Brian Pepple <bpepple@fedoraproject.org> - 1:5.2.6-1
- Update to 5.2.6.

* Fri Sep 25 2009 Brian Pepple <bpepple@fedoraproject.org> - 1:5.2.5-2
- Add the epoch to the devel requires.

* Thu Sep 24 2009 Brian Pepple <bpepple@fedoraproject.org> - 1:5.2.5-1
- Update to 5.2.5.
- Add epoch so we don't ship the devel branch of mission control for F12.

* Mon Sep 14 2009 Brian Pepple <bpepple@fedoraproject.org> - 5.3.0-1
- Update to 5.3.0.

* Thu Sep 10 2009 Brian Pepple <bpepple@fedoraproject.org> - 5.2.3-1
- Update to 5.2.3.
- Drop mission-control directory since it's no longer needed.

* Fri Aug 28 2009 Brian Pepple <bpepple@fedoraproject.org> - 5.2.1-2
- Let's not pull have the main package depend on the devel sub.

* Wed Aug 26 2009 Brian Pepple <bpepple@fedoraproject.org> - 5.2.1-1
- Update to 5.2.1.

* Tue Aug 25 2009 Brian Pepple <bpepple@fedoraproject.org> - 5.2.0-1
- Update to 5.2.0.
- Drop BR on libtelepathy.
- Update url & source links.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.67-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.67-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec  1 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 4.67-2
- Include /usr/share/mission-control directory.

* Sat Sep 27 2008 Brian Pepple <bpepple@fedoraproject.org> - 4.67-1
- Update to 4.67.

* Fri Sep 26 2008 Brian Pepple <bpepple@fedoraproject.org> - 4.65-3
- Enable gnome-keyring support.

* Tue May 29 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 4.65-2
- Update to new upstream release (4.65)

* Mon Mar 17 2008 Matej Cepl <mcepl@redhat.com> 4.64-1
- Upgrade to the current upstream release (4.64) (Resolves: #437766)
- Fix building on x86_64 (upstream libtool is not aware of /usr/lib64 and
  produces rpaths)
- Fix invalid License tag.

* Mon Mar 10 2008 Peter Gordon <peter@thecodergeek.com> - 4.63-1
- Update to new upstream release (4.63)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 4.55-2
- Autorebuild for GCC 4.3

* Tue Jan 15 2008 Peter Gordon <peter@thecodergeek.com> - 4.55-1
- Update to new upstream release (4.55)
- Drop obsolete 64-bit patch.
  - size_t_vs_guint.patch

* Sat Dec 15 2007 Peter Gordon <peter@thecodergeek.com> - 4.51-1
- Update to new upstream release (4.51)

* Mon Nov 12 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> - 4.49-1
- Bump to latest release

* Sun Aug 26 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 4.35-1
- Bump to latest release

* Thu Jun 14 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 4.24-3
- New release
- Remove patch, applied upstream

* Sat Jun 02 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 4.22-2
- Add missing requires on -devel package

* Sat May 26 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 4.22-1
- Initial build
